ON_3dmNotes Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_properties.h>`

## Public Member Functions

| ON_3dmNotes ()
| ON_3dmNotes (const ON_3dmNotes &)
| ~ON_3dmNotes ()
ON_3dmNotes & | operator= (const ON_3dmNotes &)
void | Default ()
ON_BOOL32 | IsValid () const
ON_BOOL32 | Read (ON_BinaryArchive &)
ON_BOOL32 | Write (ON_BinaryArchive &) const
void | Dump (ON_TextLog &) const

## Public Attributes

ON_wString | m_notes
ON_BOOL32 | m_bVisible
ON_BOOL32 | m_bHTML
int | m_window_left
int | m_window_top
int | m_window_right
int | m_window_bottom

## Detailed Description

Definition at line 61 of file opennurbs_3dm_properties.h.

## Constructor & Destructor Documentation

ON_3dmNotes::ON_3dmNotes | ( |  | ) |

ON_3dmNotes::ON_3dmNotes | ( | const ON_3dmNotes & |  | ) |

ON_3dmNotes::~ON_3dmNotes | ( |  | ) |

## Member Function Documentation

void ON_3dmNotes::Default | ( |  | ) |

void ON_3dmNotes::Dump | ( | ON_TextLog & |  | ) | const

ON_BOOL32 ON_3dmNotes::IsValid | ( |  | ) | const

ON_3dmNotes& ON_3dmNotes::operator= | ( | const ON_3dmNotes & |  | ) |

ON_BOOL32 ON_3dmNotes::Read | ( | ON_BinaryArchive & |  | ) |

ON_BOOL32 ON_3dmNotes::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

ON_BOOL32 ON_3dmNotes::m_bHTML

Definition at line 84 of file opennurbs_3dm_properties.h.

ON_BOOL32 ON_3dmNotes::m_bVisible

Definition at line 83 of file opennurbs_3dm_properties.h.

ON_wString ON_3dmNotes::m_notes

Definition at line 82 of file opennurbs_3dm_properties.h.

int ON_3dmNotes::m_window_bottom

Definition at line 90 of file opennurbs_3dm_properties.h.

int ON_3dmNotes::m_window_left

Definition at line 87 of file opennurbs_3dm_properties.h.

int ON_3dmNotes::m_window_right

Definition at line 89 of file opennurbs_3dm_properties.h.

int ON_3dmNotes::m_window_top

Definition at line 88 of file opennurbs_3dm_properties.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_properties.h